Checkout Sessions
チェックアウトセッションの取得
IDを指定して特定のcheckout sessionのステータスを取得します。取得結果には、payment IDとpayment statusが含まれます。
GET
JavaScript
承認
Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.
レスポンス
Checkout session successfully fetched
status of the payment.
Null if checkout sessions is still at the details collection stage.
利用可能なオプション:
succeeded, failed, cancelled, processing, requires_customer_action, requires_merchant_action, requires_payment_method, requires_confirmation, requires_capture, partially_captured, partially_captured_and_capturable 最終更新日 2026年8月17日